de.vc.jfo.attributes

## Class AttributeSubSet

- java.lang.Object
- - de.vc.jfo.attributes.AttributeSubSet

- All Implemented Interfaces:
    java.lang.Cloneable
  Direct Known Subclasses:
    AbsolutePosition, Accessibility, Background, Border, FontSupport, Margin, Padding, RelativePosition

      public abstract class AttributeSubSet
      extends java.lang.Object
      implements java.lang.Cloneable

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AttributeSubSet()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addDefinedAttributes(java.util.Set<java.lang.String> set)`
    `void` | `applyAttributes(java.util.Map<java.lang.String,java.lang.Object> map)`
    `java.lang.Object` | `clone()`
    `abstract java.lang.Object` | `getAttribute(int keyIdx)`
    `boolean` | `isMutable()`
    `void` | `makeImmutable()`
    `void` | `setAttribute(int keyIdx, java.lang.Object value)`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AttributeSubSet

          public AttributeSubSet()

  - ### Method Detail

    - #### clone

          public java.lang.Object clone()
                                 throws java.lang.CloneNotSupportedException

      Overrides:
        `clone` in class `java.lang.Object`
      Throws:
        `java.lang.CloneNotSupportedException`

    - #### makeImmutable

          public void makeImmutable()

    - #### isMutable

          public boolean isMutable()

    - #### applyAttributes

          public void applyAttributes(java.util.Map<java.lang.String,java.lang.Object> map)

    - #### addDefinedAttributes

          public void addDefinedAttributes(java.util.Set<java.lang.String> set)

    - #### setAttribute

          public final void setAttribute(int keyIdx,
                          java.lang.Object value)

    - #### getAttribute

          public abstract java.lang.Object getAttribute(int keyIdx)

© 2003-2011 by Sascha Schmidt (vision-cloud.de). All Rights Reserved.